var mozless_prefs = Components.classes["@mozilla.org/preferences-service;1"].
getService(Components.interfaces.nsIPrefService).getBranch("mozless.");

function mozlessReadPref(name) {
  if (mozless_prefs.prefHasUserValue(name)) {
    var type = mozless_prefs.getPrefType(name);
    if (type & 128) {
      return mozless_prefs.getBoolPref(name);
    }
    else if (type & 64) {
      return mozless_prefs.getIntPref(name);
    }
    else if (type & 32) {
      return mozless_prefs.getCharPref(name);
    }
    else {
      return null;
    }
  }
  else {
    return null;
  }
}

function initMozlessPref() {
  document.getElementById("prefMozlessFocusMode").checked = 
    mozlessReadPref("focusmode");
  document.getElementById("prefMozlessEmacsKeys").checked = 
    mozlessReadPref("emacskeys");
}

function initMozlessPrefPanel() {
  //parent.initPanel('chrome://mozless/content/pref-mozless.xul');
  initMozlessPref();
}

function changeMozlessPrefs() {
  mozless_prefs.setBoolPref("focusmode", 
			    document.getElementById("prefMozlessFocusMode").checked);
  mozless_prefs.setBoolPref("emacskeys", 
			    document.getElementById("prefMozlessEmacsKeys").checked);
}
